com.tibco.tibjms

## Class TibjmsTopicConnectionFactory

- java.lang.Object
- - TibjmsxCFImpl
  - - com.tibco.tibjms.TibjmsConnectionFactory
    - - com.tibco.tibjms.TibjmsTopicConnectionFactory

- All Implemented Interfaces:
    java.io.Externalizable, java.io.Serializable, java.lang.Cloneable, ConnectionFactory, TopicConnectionFactory, javax.naming.Referenceable

      public class TibjmsTopicConnectionFactory
      extends TibjmsConnectionFactory
      implements TopicConnectionFactory, java.io.Externalizable, javax.naming.Referenceable, java.lang.Cloneable

  Implementation of javax.jms.TopicConnectionFactory.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TibjmsTopicConnectionFactory()`
    `TibjmsTopicConnectionFactory(java.lang.String serverUrl)`
    `TibjmsTopicConnectionFactory(java.lang.String serverUrl, java.lang.String clientId)`
    `TibjmsTopicConnectionFactory(java.lang.String serverUrl, java.lang.String clientId, java.util.Map properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `TopicConnection` | `createTopicConnection()` Creates a topic connection with the default user identity.
    `TopicConnection` | `createTopicConnection(java.lang.String userName, java.lang.String password)` Creates a topic connection with the specified user identity.
    `void` | `readExternal(java.io.ObjectInput in)`
    `void` | `writeExternal(java.io.ObjectOutput out)`

    - ### Methods inherited from class com.tibco.tibjms.TibjmsConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext, getSSLProxyHost, getSSLProxyPassword, getSSLProxyPort, getSSLProxyUser, setClientID, setConnAttemptCount, setConnAttemptDelay, setConnAttemptTimeout, setMetric, setMulticastDaemon, setMulticastEnabled, setReconnAttemptCount, setReconnAttemptDelay, setReconnAttemptTimeout, setServerUrl, setSSLAuthOnly, setSSLCipherSuites, setSSLDebugTrace, setSSLEnableVerifyHost, setSSLEnableVerifyHostName, setSSLExpectedHostName, setSSLIdentity, setSSLIdentity, setSSLIdentityEncoding, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLPassword, setSSLPrivateKey, setSSLPrivateKey, setSSLPrivateKeyEncoding, setSSLProxy, setSSLProxyAuth, setSSLTrace, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLVendor, setUserName, setUserPassword`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

    - ### Methods inherited from interface javax.naming.Referenceable

      `getReference`

- - ### Constructor Detail

    - #### TibjmsTopicConnectionFactory

          public TibjmsTopicConnectionFactory()

    - #### TibjmsTopicConnectionFactory

          public TibjmsTopicConnectionFactory(java.lang.String serverUrl)

    - #### TibjmsTopicConnectionFactory

          public TibjmsTopicConnectionFactory(java.lang.String serverUrl,
                                              java.lang.String clientId)

    - #### TibjmsTopicConnectionFactory

          public TibjmsTopicConnectionFactory(java.lang.String serverUrl,
                                              java.lang.String clientId,
                                              java.util.Map properties)

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `TibjmsConnectionFactory`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### createTopicConnection

          public TopicConnection createTopicConnection()
                                                throws JMSException

      Description copied from interface: `TopicConnectionFactory`
      Creates a topic connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Specified by:
        `createTopicConnection` in interface `TopicConnectionFactory`
      Returns:
        a newly created topic connection
      Throws:
        `JMSException` - if the JMS provider fails to create a topic connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

    - #### createTopicConnection

          public TopicConnection createTopicConnection(java.lang.String userName,
                                                       java.lang.String password)
                                                throws JMSException

      Description copied from interface: `TopicConnectionFactory`
      Creates a topic connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Specified by:
        `createTopicConnection` in interface `TopicConnectionFactory`
      Parameters:
        `userName` - the caller's user name
        `password` - the caller's password
      Returns:
        a newly created topic connection
      Throws:
        `JMSException` - if the JMS provider fails to create a topic connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

    - #### writeExternal

          public void writeExternal(java.io.ObjectOutput out)
                             throws java.io.IOException

      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Overrides:
        `writeExternal` in class `TibjmsConnectionFactory`
      Throws:
        `java.io.IOException`

    - #### readExternal

          public void readExternal(java.io.ObjectInput in)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Overrides:
        `readExternal` in class `TibjmsConnectionFactory`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

Copyright © Cloud Software Group, Inc. All rights reserved